defaultmode = "divmode";
var text = "";


var js_bits 			='已有字節數';
var js_help				='特效 代碼 - 幫助信息點擊相應的代碼按鈕即可獲得相應的說明和提示';
var js_direct			='特效 代碼 - 直接插入點擊代碼按鈕後不出現提示即直接插入相應代碼';
var js_remind			='特效 代碼 - 提示插入點擊代碼按鈕後出現向導窗口幫助您完成代碼插入';
var js_size_help		='文字大小標記設置文字大小.可變範圍 1 - 6. 1 為最小 6 為最大.用法:  ';
var js_size				='大小';
var js_font_help		='字體標記給文字設置字體.用法: ';
var js_font				='要設置字體的文字';
var js_word				='文字';
var js_color_help		='顏色標記設置文本顏色.  任何顏色名都可以被使用.用法: ';
var js_color			='選擇的顏色是:  ';
var js_bold_help		='加粗標記使文本加粗.用法: [b]這是加粗的文字[/b]';
var js_bold				='文字將被變粗.';
var js_italic_help		='斜體標記使文本字體變為斜體.用法: [i]這是斜體字[/i]';
var js_italic			='文字將變斜體';
var js_quote_help		='引用標記引用一些文字.用法: [quote]引用內容[/quote]';
var js_quote			='被引用的文字';
var js_fly_help			='飛行標記使文字飛行.用法: [fly]文字為這樣文字[/fly]';
var js_fly				='飛行文字';
var js_move_help		='移動標記使文字產生移動效果.用法: [move]要產生移動效果的文字[/move]';
var js_move				='要產生移動效果的文字';
var js_shadow_help		='陰影標記使文字產生陰影效果.用法: [SHADOW=寬度, 顏色, 邊界]要產生陰影效果的文字[/SHADOW]';
var js_shadow			='要產生陰影效果的文字';
var js_glow_help		='光暈標記使文字產生光暈效果.用法: [GLOW=寬度, 顏色, 邊界]要產生光暈效果的文字[/GLOW]';
var js_glow_size		='文字的長度、顏色和邊界大小';
var js_glow				='要產生光暈效果的文字';
var js_align_help		='對齊標記使用這個標記, 可以使文本左對齊、居中、右對齊.用法: [align=center|left|right]要對齊的文本[/align]';
var js_align_type		='對齊樣式輸入 ’center’ 表示居中, ’left’ 表示左對齊, ’right’ 表示右對齊.';
var js_align_error		='錯誤!類型只能輸入 ’center’ 、 ’left’ 或者 ’right’.';
var js_align			='要對齊的文本';
var js_rm				='RM音樂標記插入一個RM鏈接標記使用方法: [rm]http://www.mmcbbs.com/rm/php.rm[/rm]';
var js_img				='圖片標記插入圖片用法: [img]http://www.mmcbbs.com/image/php.gif[/img]';
var js_wmv				='wmv標記插入wmv用法: [wmv]http://www.mmcbbs.com/wmv/php.wmv[/wmv]';
var js_url_help			='url標記使用url標記,可以使輸入的url地址以超鏈接的形式在帖子中顯示.使用方法: [url]url地址[/url]';
var js_url_name			='URL 名稱: 菁菁論壇(可以為空)';
var js_url				='URL 地址';
var js_code_help		='代碼標記使用代碼標記,可以使你的程序代碼里面的 html 等標志不會被破壞.使用方法: [code]這里是代碼文字[/code]';
var js_code				='輸入代碼';
var js_list_help		='列表標記建造一個文字或則數字列表.USE: [list][*]item1[*]item2[*]item3[/list]';
var js_list_type		='列表類型輸入 ’a’ 表示字母列表, ’1’ 表示數字列表, 留空表示普通列表.';
var js_list_error		='錯誤!類型只能輸入 ’a’、’A’ 、 ’1’ 或者留空.';
var js_list				='列表項空白表示結束列表';
var js_underline_help	='下劃線標記給文字加下劃線.用法: [u]要加下劃線的文字[/u]';
var js_underline		='下劃線文字';
var js_flash			='Flash 動畫插入 Flash 動畫.用法: [flash=寬度,高度]Flash 文件的地址[/flash]';
var js_height			='寬度,高度';
var js_js_replace		='';
var js_search			='請輸入搜尋目標關鍵字';
var js_keyword			='關鍵字替換為:';


if (defaultmode == "nomode") {
        helpmode = false;
        divmode = false;
        nomode = true;
} else if (defaultmode == "helpmode") {
        helpmode = true;
        divmode = false;
        nomode = false;
} else {
        helpmode = false;
        divmode = true;
        nomode = false;
}
function checkmode(swtch){
        if (swtch == 1){
                nomode = false;
                divmode = false;
                helpmode = true;
                alert(js_help);
        } else if (swtch == 0) {
                helpmode = false;
                divmode = false;
                nomode = true;
                alert(js_direct);
        } else if (swtch == 2) {
                helpmode = false;
                nomode = false;
                divmode = true;
                alert(js_remind);
        }
}
function getActiveText(selectedtext) {
  text = (document.all) ? document.selection.createRange().text : document.getSelection();
  if (selectedtext.createTextRange) {	
    selectedtext.caretPos = document.selection.createRange().duplicate();	
  }
	return true;
}
function submitonce(theform)
{
	if (document.all||document.getElementById)
	{
		for (i=0;i<theform.length;i++)
		{
			var tempobj=theform.elements[i];
			if(tempobj.type.toLowerCase()=="submit"||tempobj.type.toLowerCase()=="reset")
				tempobj.disabled=true;
		}
	}
}
/*
function checklength(theform)
{
	alert(js_bits+theform.atc_content.value.length);
}
*/
function AddText(NewCode) 
{
	if (FORM.content.createTextRange && FORM.content.caretPos) 
	{
		var caretPos = FORM.content.caretPos;
		caretPos.text = caretPos.text.charAt(caretPos.text.length - 1) == ' ' ? NewCode + ' ' : NewCode;
	} 
	else 
	{
		FORM.content.value+=NewCode
	}
	setfocus();
}
function setfocus()
{
  FORM.content.focus();
}


function showsize(size) {
	if (helpmode) {
		alert(js_size_help+"[size="+size+"] "+size+js_word+"[/size]");
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[size="+size+"]"+text+"[/size]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_size+size,js_word);
		if (txt!=null) {
			AddTxt="[size="+size+"]"+txt;
			AddText(AddTxt);
			AddTxt="[/size]";
			AddText(AddTxt);
		}
	}
}

function showfont(font) {
 	if (helpmode){
		alert(js_font_help+" [font="+font+"]"+font+"[/font]");
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[font="+font+"]"+text+"[/font]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_font+font,js_word);
		if (txt!=null) {
			AddTxt="[font="+font+"]"+txt;
			AddText(AddTxt);
			AddTxt="[/font]";
			AddText(AddTxt);
		}
	}
}
function showcolor(color) {
	if (helpmode) {
		alert(js_color_help+"[color="+color+"]"+color+"[/color]");
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[color="+color+"]"+text+"[/color]";
		AddText(AddTxt);
	} else {  
     	txt=prompt(js_color+color,js_word);
		if(txt!=null) {
			AddTxt="[color="+color+"]"+txt;
			AddText(AddTxt);
			AddTxt="[/color]";
			AddText(AddTxt);
		}
	}
}

function bold() {
	if (helpmode) {
		alert(js_bold_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[b]"+text+"[/b]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_bold,js_word);
		if (txt!=null) {
			AddTxt="[b]"+txt;
			AddText(AddTxt);
			AddTxt="[/b]";
			AddText(AddTxt);
		}
	}
}

function italicize() {
	if (helpmode) {
		alert(js_italic_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[i]"+text+"[/i]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_italic,js_word);
		if (txt!=null) {
			AddTxt="[i]"+txt;
			AddText(AddTxt);
			AddTxt="[/i]";
			AddText(AddTxt);
		}
	}
}

function quoteme() {
	if (helpmode){
		alert(js_quote_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[quote]"+text+"[/quote]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_quote,js_word);
		if(txt!=null) {
			AddTxt="[quote]"+txt;
			AddText(AddTxt);
			AddTxt="[/quote]";
			AddText(AddTxt);
		}
	}
}
function setfly() {
 	if (helpmode){
		alert(js_fly_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[fly]"+text+"[/fly]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_fly,js_word);
		if (txt!=null) {
			AddTxt="[fly]"+txt;
			AddText(AddTxt);
			AddTxt="[/fly]";
			AddText(AddTxt);
		}
	}
}

function movesign() {
	if (helpmode) {
		alert(js_move_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[move]"+text+"[/move]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_move,js_word);
		if (txt!=null) {
			AddTxt="[move]"+txt;
			AddText(AddTxt);
			AddTxt="[/move]";
			AddText(AddTxt);
		}
	}
}

function shadow() {
	if (helpmode) {
		alert(js_shadow_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[SHADOW=255,blue,1]"+text+"[/SHADOW]";
		AddText(AddTxt);
	} else {
		headtxt=prompt(js_glow_size,"255,blue,1");
		if (headtxt!=null) {
			txt=prompt(js_shadow,js_word);
			if (txt!=null) {
				if (headtxt=="") {
					AddTxt="[shadow=255, blue, 1]"+txt;
					AddText(AddTxt);
					AddTxt="[/shadow]";
					AddText(AddTxt);
				} else {
					AddTxt="[shadow="+headtxt+"]"+txt;
					AddText(AddTxt);
					AddTxt="[/shadow]";
					AddText(AddTxt);
				}
			}
		}
	}
}

function glow() {
	if (helpmode) {
		alert(js_glow_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[glow=255,red,2]"+text+"[/glow]";
		AddText(AddTxt);
	} else {
		headtxt=prompt(js_glow_size,"255,red,2");
		if (headtxt!=null) {
			txt=prompt(js_glow,js_word);
			if (txt!=null) {
				if (headtxt=="") {
					AddTxt="[glow=255,red,2]"+txt;
					AddText(AddTxt);
					AddTxt="[/glow]";
					AddText(AddTxt);
				} else {
					AddTxt="[glow="+headtxt+"]"+txt;
					AddText(AddTxt);
					AddTxt="[/glow]";
					AddText(AddTxt);
				}
			}
		}
	}
}

function center() {
 	if (helpmode) {
		alert(js_align_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[align=center]"+text+"[/align]";
		AddText(AddTxt);
	} else {
		headtxt=prompt(js_align_type,"center");
		while ((headtxt!="") && (headtxt!="center") && (headtxt!="left") && (headtxt!="right") && (headtxt!=null)) {
			headtxt=prompt(js_align_error,"");
		}
		txt=prompt(js_align,js_word);
		if (txt!=null) {
			AddTxt="\r[align="+headtxt+"]"+txt;
			AddText(AddTxt);
			AddTxt="[/align]";
			AddText(AddTxt);
		}
	}
}

function rming() {
	if (helpmode) {
		alert(js_rm);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[rm]"+text+"[/rm]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_url,"http://");
		if(txt!=null) {
			AddTxt="\r[rm]"+txt;
			AddText(AddTxt);
			AddTxt="[/rm]";
			AddText(AddTxt);
		}
	}
}

function image() {
	if (helpmode){
		alert(js_img);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[img]"+text+"[/img]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_url,"http://");
		if(txt!=null) {
			AddTxt="\r[img]"+txt;
			AddText(AddTxt);
			AddTxt="[/img]";
			AddText(AddTxt);
		}
	}
}

function wmv() {
	if (helpmode){
		alert(js_wmv);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[wmv]"+text+"[/wmv]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_url,"http://");
		if(txt!=null) {
			AddTxt="\r[wmv]"+txt;
			AddText(AddTxt);
			AddTxt="[/wmv]";
			AddText(AddTxt);
		}
	}
}

function showurl() {
 	if (helpmode){
		alert(js_url_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[url="+text+"]"+text+"[/url]";
		AddText(AddTxt);
	} else {
			headtxt=prompt(js_url_name,"");
		if (headtxt!=null) {
			txt=prompt(js_url,"http://");
			if (headtxt!=null) {
				if (headtxt=="") {
					AddTxt="[url]"+txt;
					AddText(AddTxt);
					AddTxt="[/url]";
					AddText(AddTxt);
				} else {
					if(txt==""){
						AddTxt="[url]"+headtxt;
						AddText(AddTxt);
						AddTxt="[/url]";
						AddText(AddTxt);
					} else{
						AddTxt="[url="+txt+"]"+headtxt;
						AddText(AddTxt);
						AddTxt="[/url]";
						AddText(AddTxt);
					}
				}
			}
		}
	}
}

function showcode() {
	if (helpmode) {
		alert(js_code_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="\r\n[code]"+text+"[/code]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_code,"");
		if (txt!=null) { 
			AddTxt="\r[code]"+txt;
			AddText(AddTxt);
			AddTxt="[/code]";
			AddText(AddTxt);
		}
	}
}

function list() {
	if (helpmode) {
		alert(js_list_help);
	} else if (nomode) {
		AddTxt="\r[list]\r[*]\r[*]\r[*]\r[/list]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_list_type,"");
		while ((txt!="") && (txt!="A") && (txt!="a") && (txt!="1") && (txt!=null)) {
			txt=prompt(js_list_error,"");
		}
		if (txt!=null) {
			if (txt==""){
				AddTxt="\r[list]\r\n";
			} else if (txt=="1") {
				AddTxt="\r[list=1]\r\n";
			} else if(txt=="a") {
				AddTxt="\r[list=a]\r\n";
			}
			ltxt="1";
			while ((ltxt!="") && (ltxt!=null)) {
				ltxt=prompt(js_list,"");
				if (ltxt!="") {
					AddTxt+="[*]"+ltxt+"\r";
				}
			}
			AddTxt+="[/list]\r\n";
			AddText(AddTxt);
		}
	}
}
function underline() {
  	if (helpmode) {
		alert(js_underline_help);
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[u]"+text+"[/u]";
		AddText(AddTxt);
	} else {
		txt=prompt(js_underline,js_word);
		if (txt!=null) {
			AddTxt="[u]"+txt;
			AddText(AddTxt);
			AddTxt="[/u]";
			AddText(AddTxt);
		}
	}
}

function setswf() {
 	if (helpmode){
		alert('Flash 動畫\n插入 Flash 動畫.\n用法: [flash=寬度,高度]Flash 文件的地址[/flash]');
	} else if (nomode || document.selection && document.selection.type == "Text") {
		AddTxt="[flash=400,300]"+text+"[/flash]";
		AddText(AddTxt);
	} else {
			headtxt=prompt("寬 度,高度","400,300");
		if (headtxt!=null) {
			txt=prompt('URL 地址',"http://");
			if (txt!=null) {
				if (headtxt=="") {
					AddTxt="[flash=400,300]"+txt;
					AddText(AddTxt);
					AddTxt="[/flash]";
					AddText(AddTxt);
				} else {
					AddTxt="[flash="+headtxt+"]"+txt;
					AddText(AddTxt);
					AddTxt="[/flash]";
					AddText(AddTxt);
				}
			}
		}
	}
}

function add_title(addTitle) 
{ 
	var revisedTitle; 
	var currentTitle = document.FORM.atc_title.value; 
	revisedTitle = currentTitle+addTitle; 
	document.FORM.atc_title.value=revisedTitle; 
	document.FORM.atc_title.focus(); 
	return;
}

function Addaction(addTitle)
{ 
	var revisedTitle; 
	var currentTitle = FORM.content.value; revisedTitle = currentTitle+addTitle; FORM.content.value=revisedTitle; FORM.content.focus(); 
	return; 
}

function copytext(theField) 
{
	var tempval=eval("document."+theField);
	tempval.focus();
	tempval.select();
	therange=tempval.createTextRange();
	therange.execCommand("Copy");
}

function replac()
{
	if (helpmode)
	{
		alert(js_replace);
	}
	else
	{
		headtxt=prompt(js_search,"");
		if (headtxt != null)
		{
			if (headtxt != "") 
			{
				txt=prompt(js_keyword,headtxt);
			}
			else
			{
				replac();
			}
			var Rtext = headtxt; var Itext = txt;
			Rtext = new RegExp(Rtext,"g");
			FORM.content.value =FORM.content.value.replace(Rtext,Itext);
		}
	}
}

function addsmile(NewCode) {
  FORM.content.value += ' '+NewCode+' '; 
}